﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output  method="xml" media-type="text/html" encoding="UTF-8" indent="yes" 
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" 
    doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" />
  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml">
      <head>
        <title>Microsoft Visual Studio 2008 Tools for the Microsoft Office System (VSTO) Client  Pre-Requisites Analysis</title>
      </head>
      <style type="text/css">
        caption {font-size:20px;font-style:oblique;font-weight:bold;}
        thead {font-size:16px;text-align:center;font-weight:bold;background-color:#99CCFF;}
        tbody {font-size:14px;text-align:center;}
        table {border:0;cellspacing:0;cellpadding:0;width:95%;table-layout:fixed;margin:0 auto;word-wrap:break-word;break-word:normal;}
        .name {text-align:left;word-break:break-all;}
        .odd {background-color:#E0E0E0}
        .even {background-color:#99CCFF}
        .status {width:60px;}
        .version {width:120px;}
        .type {width:100px;}
        #msproduct {font-style:oblique;}
        #mainpage {margin:1em auto; font: 9px arial,sans-serif;text-align: center;}
        #platform tbody {text-align:left;}
        #title {font-size:24px;font-weight:bold;font-color:#000080;}
        #subtitle {font-size:16px;font-color:#000080;}
        #time {font-size:12px;font-color:#000080;}
      </style>

      <body>
        <div id="mainpage">
          <div>
            <h1>
              <span id="title">
                Microsoft Visual Studio Tools for the Microsoft Office System (VSTO) Client  Pre-Requisites Analysis
              </span>
            </h1>

            <h2>
              <span id="subtitle">
                <xsl:value-of select="root/Subtitle" />
              </span>
              <br/>
              <span id="time">
                <xsl:value-of select="root/CheckTime" />
              </span>
            </h2>
          </div>

          <br />

          <div>
            <xsl:for-each select="root/DependencyGroups/Group">
              <table id="summary">
                <caption>
                  <span>
                    <xsl:value-of select="@GroupName" />
                  </span>
                </caption>
                <thead>
                  <tr>
                    <th>
                      <span id="msproduct">Solution Type</span>
                    </th>
                    <th>No Dependency</th>
                    <th>SmartTag Dependency</th>
                    <th>Form2 Dependency</th>
                    <th>GraphLib Dependency</th>
                  </tr>
                </thead>
                <tbody>
                  <xsl:for-each select="Item">
                    <tr>
                      <xsl:choose>
                        <xsl:when test="position() mod 2 = 0">
                          <xsl:attribute name="class">even</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:attribute name="class">odd</xsl:attribute>
                        </xsl:otherwise>
                      </xsl:choose>
                      <td class="name">
                        <xsl:value-of select="@Name" />
                      </td>
                      <td>
                        <xsl:choose>
                          <xsl:when test="not(contains(@NoDependencyResult,'Invalid'))">
                            <img src="OK.gif" alt="OK" />
                          </xsl:when>
                          <xsl:when test="contains(@NoDependencyResult,'Invalid')">
                            <img src="Warning.gif" alt="Warning" />
                          </xsl:when>
                        </xsl:choose>
                      </td>
                      <td>
                        <xsl:choose>
                          <xsl:when test="contains(@SmartTagDependencyResult,'Valid')">
                            <img src="OK.gif" alt="OK" />
                          </xsl:when>
                          <xsl:when test="contains(@SmartTagDependencyResult,'Invalid')">
                            <img src="Warning.gif" alt="Warning" />
                          </xsl:when>
                          <xsl:when test="contains(@SmartTagDependencyResult,'None')">
                            <xsl:text>N/A</xsl:text>
                          </xsl:when>
                        </xsl:choose>
                      </td>
                      <td>
                        <xsl:choose>
                          <xsl:when test="contains(@Form2DependencyResult,'Valid')">
                            <img src="OK.gif" alt="OK" />
                          </xsl:when>
                          <xsl:when test="contains(@Form2DependencyResult,'Invalid')">
                            <img src="Warning.gif" alt="Warning" />
                          </xsl:when>
                          <xsl:when test="contains(@Form2DependencyResult,'None')">
                            <xsl:text>N/A</xsl:text>
                          </xsl:when>
                        </xsl:choose>
                      </td>
                      <td>
                        <xsl:choose>
                          <xsl:when test="contains(@GraphLibDependencyResult,'Valid')">
                            <img src="OK.gif" alt="OK" />
                          </xsl:when>
                          <xsl:when test="contains(@GraphLibDependencyResult,'Invalid')">
                            <img src="Warning.gif" alt="Warning" />
                          </xsl:when>
                          <xsl:when test="contains(@GraphLibDependencyResult,'None')">
                            <xsl:text>N/A</xsl:text>
                          </xsl:when>
                        </xsl:choose>
                      </td>
                    </tr>
                  </xsl:for-each>
                </tbody>
              </table>
              <br />
            </xsl:for-each>
          </div>

          <br />

          <div>
            <table id="platform">
              <caption>
                <span>
                  Operating System Analysis
                </span>
              </caption>
              <thead>
                <tr>
                  <th>Name</th>
                  <th>Value</th>
                </tr>
              </thead>
              <tbody>
                <tr class="odd">
                  <td width="135">Operating System</td>
                  <td>
                    <xsl:value-of select="root/OS" />
                  </td>
                </tr>
                <tr class="even">
                  <td>
                    Architecture:
                  </td>
                  <td>
                    <xsl:value-of select="root/Architechure" />
                  </td>
                </tr>
                <tr class="odd">
                  <td>
                    Service Pack Level:
                  </td>
                  <td>
                    <xsl:value-of select="root/SPLevel" />
                  </td>
                </tr>
                <tr class="even">
                  <td>Installed Language:</td>
                  <td>
                    <xsl:value-of select="root/InstallLang" />
                  </td>
                </tr>
                <tr class="odd">
                  <td>Current User Interface Language:</td>
                  <td>
                    <xsl:value-of select="root/CurrentUILang" />
                  </td>
                </tr>
                <tr class="even">
                  <td>Current User Locale:</td>
                  <td>
                    <xsl:value-of select="root/CurrentUserLocale" />
                  </td>
                </tr>
                <tr class="odd">
                  <td>Default System Code Page:</td>
                  <td>
                    <xsl:value-of select="root/CodePage" />
                  </td>
                </tr>
                <tr class="even">
                  <td>Computer Name</td>
                  <td>
                    <xsl:value-of select="root/ComputeName" />
                  </td>
                </tr>
                <tr class="odd">
                  <td>.NET Framework Installed</td>
                  <td>
                    <xsl:for-each select="root/DotNet/ProductInfo">
                      <xsl:value-of select="version" />
                      <xsl:choose>
                        <xsl:when test="contains(name, 'x86')">
                          <xsl:text>(x86)</xsl:text>
                        </xsl:when>
                        <xsl:when test="contains(name, 'x64')">
                          <xsl:text>(x64)</xsl:text>
                        </xsl:when>
                      </xsl:choose>
                      <br />
                    </xsl:for-each>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>

          <br />
          
          <xsl:for-each select="root/ProductInfos">
            <div>
              <table class="office">
                <caption>
                  <span>
                    <xsl:value-of select="@title" />
                  </span>
                </caption>
                <thead>
                  <tr>
                    <th>Name</th>
                    <th class="version">Version</th>
                    <th class="status">Status</th>
                  </tr>
                </thead>
                <tbody>
                  <xsl:for-each select="ProductInfo">
                    <tr>
                      <xsl:choose>
                        <xsl:when test="position() mod 2 = 0">
                          <xsl:attribute name="class">even</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:attribute name="class">odd</xsl:attribute>
                        </xsl:otherwise>
                      </xsl:choose>
                      <td class="name">
                        <xsl:value-of select="name" />
                      </td>
                      <td class="version">
                        <xsl:choose>
                          <xsl:when test="check = 'Missing'">
                            <xsl:text>Not Installed</xsl:text>
                          </xsl:when>
                          <xsl:otherwise>
                            <xsl:value-of select="version" />
                          </xsl:otherwise>
                        </xsl:choose>
                      </td>
                      <td class="status">
                        <xsl:choose>
                          <xsl:when test="check = 'Valid'">
                            <img src="OK.gif" alt="OK" />
                          </xsl:when>
                          <xsl:when test="contains(check,'InstalledWithLow')">
                            <img src="Warning.gif" alt="Low Version" />
                          </xsl:when>
                          <xsl:otherwise>
                            <img src="Warning.gif" alt="Warning" />
                          </xsl:otherwise>
                        </xsl:choose>
                      </td>
                    </tr>

                  </xsl:for-each>
                </tbody>
              </table>
            </div>
            
            <br />
            
          </xsl:for-each>

          <div>
            <table id="vstort">
              <caption>
                <span>
                  <xsl:value-of select="root/VSTORT/@title" />
                </span>
              </caption>
              <thead>
                <tr>
                  <th>Name</th>
                  <th class="version">Version</th>
                  <th class="type">Release</th>
                  <th class="status">Status</th>
                </tr>
              </thead>
              <tbody>
                <xsl:for-each select="root/VSTORT/ProductInfo">
                  <tr>
                    <xsl:choose>
                      <xsl:when test="position() mod 2 = 0">
                        <xsl:attribute name="class">even</xsl:attribute>
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:attribute name="class">odd</xsl:attribute>
                      </xsl:otherwise>
                    </xsl:choose>
                    <td class="name">
                      <xsl:value-of select="name" />
                    </td>
                    <td class="version">
                      <xsl:choose>

                        <xsl:when test="check = 'Missing'">
                          <xsl:text>Not Installed</xsl:text>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:value-of select="version" />
                        </xsl:otherwise>
                      </xsl:choose>
                    </td>
                    <td class="type">
                      <xsl:value-of select="type" />
                    </td>
                    <td class="status">
                      <xsl:choose>
                        <xsl:when test="check = 'Valid'">
                          <img src="OK.gif" alt="OK" />
                        </xsl:when>
                        <xsl:otherwise>
                          <img src="Warning.gif" alt="Warning" />
                        </xsl:otherwise>
                      </xsl:choose>
                    </td>
                  </tr>
                </xsl:for-each>
              </tbody>
            </table>
          </div>

          <br />

          <div>
            <table id="misc">
              <caption>
                <span>
                  <xsl:value-of select="root/Miscellaneous/@title" />
                </span>
              </caption>
              <thead>
                <tr>
                  <th>
                    <xsl:text>Name</xsl:text>
                  </th>
                  <th>
                    <xsl:text>Details</xsl:text>
                  </th>
                </tr>
              </thead>
              <tbody>
                <xsl:for-each select="root/Miscellaneous/ProductInfo">
                  <tr>
                    <xsl:choose>
                      <xsl:when test="position() mod 2 = 0">
                        <xsl:attribute name="class">even</xsl:attribute>
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:attribute name="class">odd</xsl:attribute>
                      </xsl:otherwise>
                    </xsl:choose>
                    <td class="name">
                      <xsl:choose>
                        <xsl:when test="contains(product,'Configuration')">
                          <xsl:text>Office Application Configuration Files</xsl:text>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:value-of select="name" />
                        </xsl:otherwise>
                      </xsl:choose>
                    </td>
                    <td>
                      <xsl:choose>
                        <xsl:when test="contains(product,'Configuration')">
                          <xsl:value-of select="name" />
                        </xsl:when>
                        <xsl:when test ="check = 'Missing'">
                          <xsl:text>Not Installed</xsl:text>
                        </xsl:when>
                        <xsl:when test="contains(product,'VSTOExtensibility')">
                          <xsl:value-of select="version" />
                        </xsl:when>
                        <xsl:when test="contains(product,'STDOLEDLL')">
                          <xsl:value-of select="version" />
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:value-of select="check"/>
                        </xsl:otherwise>
                      </xsl:choose>
                    </td>
                  </tr>
                </xsl:for-each>
              </tbody>
            </table>>
          </div>
          
        </div>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>